Bug 478206 - MIGRATED_FROM_JIRA: StackOverflowError
MIGRATED_FROM_JIRA: StackOverflowError
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:08 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:08:42 EST
I configure my Penrose server to map a MySQL table as a LDAP directory. 

It works all perfect, but when i try to search to the LDAP branch, Penrose goes into an StackOverflowError.
Additional Comments From endisd dated Fri Jun 22 10:52:31 CDT 2007 
Xavi,

I'm unable to reproduce the StackOverflowError, could you tell me the exact LDAP operation that you're executing that triggers the problem?

On a side note, I found a problem in the mapping.xml but I don't think this is related to the original problem. You have:

    <relationship>
      <expression>user_.userId = contact_.contactId</expression>
    </relationship>

The above format has no longer been supported. You should define the source relations in the source itself as follows.

    <source name="contact_">
      <source-name>contact_</source-name>
      <field name="contactId">
        <variable>user_.userId</variable>
      </field>
      ...
    </source>

See http://docs.safehaus.org/display/PENROSE12/Join+Mapping.

I also noticed you put proxy="true" in the sources, I think you don't need that as this is not a proxy mapping. See http://docs.safehaus.org/display/PENROSE12/Proxy+Mapping.



=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'attachmentNames' => 'conf.rar',
          'reporter' => 'elmahfeo',
          'key' => 'PENROSE-234',
          'assignee' => 'jimyang',
          'summary' => 'StackOverflowError',
          'id' => '10735',
          'updated' => '2007-10-23 16:21:10.0',
          'votes' => '0',
          'fixVersions' => [],
          'description' => 'I configure my Penrose server to map a MySQL table as a LDAP directory. 

It works all perfect, but when i try to search to the LDAP branch, Penrose goes into an StackOverflowError.',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2007-06-18 00:00:00.0',
                                 'sequence' => '24',
                                 'name' => 'Penrose-1.2.2',
                                 'released' => 'true',
                                 'id' => '10101',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2007-06-21 04:25:25.0',
          'environment' => 'Windows XP',
          'resolution' => '2',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:08:44 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-234

Note You need to log in before you can comment on or make changes to this bug.